const system = require("../../../system");
const ServiceBase = require("../../svems.base")

class UserService extends ServiceBase {
  constructor() {
    super();
  }

  async saveAdminUser(params) {
    try {
      return await this.callms("sve_uc", "saveAdminUser", params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

  async saveMerchantUser(params) {
    try {
      return await this.callms("sve_uc", "saveMerchantUser", params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

  async login(params) {
    try {
      return await this.callms("sve_uc", "login", params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
  
  async info(params) {
    try {
      return await this.callms("uc", "merchantInfo", params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
}

module.exports = UserService;